Delete board column
curl --request DELETE \
--url https://atollhq.com/api/orgs/{id}/projects/{projectId}/board-columns/{columnId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://atollhq.com/api/orgs/{id}/projects/{projectId}/board-columns/{columnId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://atollhq.com/api/orgs/{id}/projects/{projectId}/board-columns/{columnId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}Planning
Delete board column
Requires edit or admin project access. reassignTo is required when the source column contains issues, and releaseReassignTo is independently required when the source has dependency release references. Both targets must be in the same project; reassignment and deletion are atomic, and the final board column cannot be deleted.
DELETE
/
api
/
orgs
/
{id}
/
projects
/
{projectId}
/
board-columns
/
{columnId}
Delete board column
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
id identifier
projectId identifier
columnId identifier
Query Parameters
Target column in the same project. Required when the source column still has issues.
Independent target column in the same project. Required when the source column has dependency release references.
Response
Successful response
The response is of type object.

